Package org.eclipse.emf.compare.rcp.internal.match

## Class EqualityHelperExtensionProviderDescriptorRCPImpl

- java.lang.Object
- - org.eclipse.emf.compare.rcp.extension.PluginClassDescriptor<EqualityHelperExtensionProvider>
  - - org.eclipse.emf.compare.rcp.internal.match.EqualityHelperExtensionProviderDescriptorRCPImpl

All Implemented Interfaces:
  `EqualityHelperExtensionProvider.Descriptor`

    public class EqualityHelperExtensionProviderDescriptorRCPImpl
    extends PluginClassDescriptor<EqualityHelperExtensionProvider>
    implements EqualityHelperExtensionProvider.Descriptor

Describes an extension as contributed to the "org.eclipse.emf.compare.rcp.equalityHelperExtensionProvider" extension point.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.emf.compare.match.eobject.EqualityHelperExtensionProvider.Descriptor

`EqualityHelperExtensionProvider.Descriptor.Registry`

### Field Summary

### Fields inherited from class org.eclipse.emf.compare.rcp.extension.PluginClassDescriptor

`attributeName, element`

### Constructor Summary

Constructors
`EqualityHelperExtensionProviderDescriptorRCPImpl​(org.eclipse.core.runtime.IConfigurationElement element, int ranking, Pattern nsURI)` Creates a descriptor corresponding to the information of the given element.

### Method Summary

All Methods Instance Methods Concrete Methods
`EqualityHelperExtensionProvider` `getEqualityHelperExtensionProvider()` Returns the wrapped equality helper extension provider.
`String` `getInstanceClassName()`
`Pattern` `getNsURI()` Returns the pattern of namespace URI on which this equality helper extension provider can be applied.
`int` `getRanking()` Returns the ranking of this equality helper extension provider.

### Methods inherited from class org.eclipse.emf.compare.rcp.extension.PluginClassDescriptor

`createInstance`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EqualityHelperExtensionProviderDescriptorRCPImpl

    public EqualityHelperExtensionProviderDescriptorRCPImpl​(org.eclipse.core.runtime.IConfigurationElement element,
                                                            int ranking,
                                                            Pattern nsURI)

Creates a descriptor corresponding to the information of the given element.

Parameters:
  `element` - Configuration element from which to create this descriptor.
  `ranking` - the ranking of the equality helper extension provider.
  `nsURI` - The pattern of namespace URI on which this equality helper extension can be applied.

### Method Detail

#### getNsURI

    public Pattern getNsURI()

Returns the pattern of namespace URI on which this equality helper extension provider can be applied.

Specified by:
  `getNsURI` in interface `EqualityHelperExtensionProvider.Descriptor`
Returns:
  The namespace URI pattern.

#### getRanking

    public int getRanking()

Returns the ranking of this equality helper extension provider.

Specified by:
  `getRanking` in interface `EqualityHelperExtensionProvider.Descriptor`
Returns:
  The ranking.

#### getEqualityHelperExtensionProvider

    public EqualityHelperExtensionProvider getEqualityHelperExtensionProvider()

Returns the wrapped equality helper extension provider.

Specified by:
  `getEqualityHelperExtensionProvider` in interface `EqualityHelperExtensionProvider.Descriptor`
Returns:
  the wrapped equality helper extension provider

#### getInstanceClassName

    public String getInstanceClassName()